0

I am trying to use Migrate Drupal UI to upgrade from Drupal 7 to Drupal 8 (8.9.7). When I put in the credentials and run it I get the error message:

The d7_nodesubqueue plugin must define the source_module property.

Looking online I came across the Issue for the Module Missing "source_module property" annotation (https://www.drupal.org/project/nodequeue_migrate/issues/2971399).

The patch is to add to the annotation the source_module to the NodeQueue.php and NodeSubqueue.php files (found in /nodequeue_migrate/source/d7/)

*   source_module = "node",

The updated NodeSubqueue.php

/**
 * Drupal 7 nodesubqueue source from database.
 *
 * @MigrateSource(
 *   id = "d7_nodesubqueue",
 *   source_module = "node",
 * )
 */

And the updated NodeQueue.php

/**
 * Drupal 7 nodequeue source from database.
 *
 * @MigrateSource(
 *   id = "d7_nodequeue",
 *   source_module = "node",
 * )
 */

Unfortunately I am still getting this error.

If I disable the migrate_nodequeue the migration goes through, but the data does not get migrated. This kind-of defeats the purpose.

I have just noticed a dev version of nodequeue_migrate so I may give that a try. Still want to see here if there is another solution.

Thanks

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.